> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-d355519d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# إنشاء بنية تحتية لـ BYOC

> أنشئ بنية تحتية جديدة لـ BYOC في المؤسسة. يعرض إعداد البنية التحتية المُنشأة حديثًا



## OpenAPI

````yaml /ar/_specs/cloud-openapi.json post /v1/organizations/{organizationId}/byocInfrastructure
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/byocInfrastructure:
    post:
      tags:
        - Organization
      summary: إنشاء بنية تحتية لـ BYOC
      description: >-
        أنشئ بنية تحتية جديدة لـ BYOC في المؤسسة. يعرض إعداد البنية التحتية
        المُنشأة حديثًا
      parameters:
        - description: معرّف المؤسسة المطلوبة.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ByocInfrastructurePostRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: معرّف فريد يُخصَّص لكل طلب. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ByocConfig'
                  status:
                    description: رمز حالة HTTP.
                    example: 200
                    type: number
                type: object
          description: استجابة ناجحة
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: وصف تفصيلي للخطأ.
                    type: string
                  status:
                    description: رمز حالة HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            يتعذر على الخادم معالجة الطلب أو يرفض معالجته بسبب أمر يُعدّ خطأً من
            جهة العميل.
components:
  schemas:
    ByocInfrastructurePostRequest:
      properties:
        accountId:
          description: معرّف الحساب السحابي الذي جرى تكوين بنية BYOC التحتية له
          type: string
        availabilityZoneSuffixes:
          description: قائمة لاحقات مناطق التوفّر
          items:
            enum:
              - a
              - b
              - c
              - d
              - e
              - f
            type: string
          type: array
        regionId:
          description: المنطقة التي ستوجد فيها بنية BYOC التحتية
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        vpcCidrRange:
          description: نطاق CIDR الخاص بـ VPC
          type: string
    ByocConfig:
      properties:
        accountName:
          description: اسم الحساب
          type: string
        cloudProvider:
          description: موفّر السحابة الخاص بالمنطقة
          enum:
            - gcp
            - aws
            - azure
          type: string
        id:
          description: المعرّف الفريد لإعداد BYOC
          type: string
        regionId:
          description: المنطقة التي تم تكوين BYOC لها، والتي يمكن فيها إنشاء الخدمات
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        state:
          description: حالة البنية التحتية
          enum:
            - infra-ready
            - infra-provisioning
            - infra-terminated
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        استخدم معرّف المفتاح والسرّ الخاص به اللذين تم الحصول عليهما من
        ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````